RDUP-UP(1)

NAME
rdup-up - update a directory tree with a rdup archive

SYNOPSIS
rdup-up [OPTION]... DIRECTORY

DESCRIPTION
With rdup-up you can update an (possibly) existing directory structure with a rdup archive.

The rdup archive has to be given to rdup-up's standard input.

  Username and uids
rdup outputs both the username and uid, the receiving system (which may be a totally different system) checks if the username and uid match. If the username and uid don't match the (numeric) uid is used on the file. The same holds true for the groupname and gid.

OPTIONS

-n  Do a dry-run and do not create anything on disk.

-t  Create DIRECTORY (ala mkdir -p) if it does not exist.

-s N
    Strip N path components from a pathname. If the resulting pathname is empty after this operation it is skipped. Be careful however with the following structure:

        /foo
        /foo/bar
        /foo/bar/bla.txt
        /foo/blork/bla.txt

    With rdup-up -s2 this will leave:

        <empty>
        <empty>
        /bla.txt
        /bla.txt

    And the last 'bla.txt' will overwrite the previous one, this will happen without warnings.

-r PATH
    This option is related to the -s option, but works different. The string PATH is removed from (the beginning of) each pathname. With -r /home/backup the pathname /home/backup/bin/mycmd becomes /bin/mycmd. The same could be done with -s 2, but then you need to count the slashes. Note -s is always performed before -r.

-v  Be more verbose and echo the processed files to standard output.

-vv Be even more verbose and echo processed file and the uid and gid information to standard output.

-T  Show a table of contents of the rdup stream received (ala tar -tf -). With -T the directory argument is optional. -T unsets any verbose (-v) options.

-h  A short help message.

-V  Show the version.

EXIT CODE
rdup-up return a zero exit code on success, otherwise 1 is returned.

AUTHOR
Written by Miek Gieben.

REPORTING BUGS
Report bugs to <miek@miek.nl>.

SEE ALSO
http:/www.miek.nl/projects/rdup/ is the main site of rdup. Also see rdup(1), rdup-tr(1) and rdup-backups(7).

COPYRIGHT
Copyright (C) 2005-2010 Miek Gieben. This is free software. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Licensed under the GPL version 3. See the file LICENSE in the source distribution of rdup.